<?php
include_once('../config.php');
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $serverIP . "/players.json");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

$json;
$serverStatus = 0;

$output = curl_exec($curl);

if (curl_exec($curl) === false){
    $serverStatus = 1;
    echo '<script> console.log("Curl error: ' . curl_error($curl) . '")</script>';
} elseif (!empty(curl_exec($curl)) && !empty($output)) {
    $serverStatus = 2;
    $json = json_decode($output, TRUE, 512, JSON_BIGINT_AS_STRING);
} else {
    $serverStatus = 0;
    echo '<script> console.log("Curl error: ' . curl_error($curl) . '")</script>';
}

/* Server Status variable values
0 - Loading cURL
1 - Offline
2 - Online
*/

curl_close($curl);

if ($serverStatus === 2){
    if (!empty($output)) { echo '<h1>Online Players:'; } else { echo '<h1>No players to display'; } echo '</h1>
            <div class="player-card-container">';
        foreach ($json as $player) {
            echo '
                <div class="player-card">
                    <div class="player-card-top">
                        <div class="player-right">
                            <div class="player-id">' . $player['id'] . '</div>
                            <div class="player-ping '; if ($player["ping"] <= 100){ echo 'ping-green'; } elseif ($player['ping'] >= 101 && $player['ping'] <= 200) { echo 'ping-yellow'; } else { echo 'ping-red'; } echo '"><span>' . $player['ping'] . '</span>
                            <img src="'; if ($player["ping"] <= 100){ echo 'https://cdn.discordapp.com/attachments/802524847392423936/820013445906169886/green-ping.svg'; } elseif ($player['ping'] >= 101 && $player['ping'] <= 200) { echo 'https://cdn.discordapp.com/attachments/802524847392423936/820013449027387392/yellow-ping.svg'; } else { echo 'https://cdn.discordapp.com/attachments/802524847392423936/820013447420575764/red-ping.svg'; } echo '" class="ping-icon" alt="Ping icon"></div>  
                        </div>
                    </div>
                    <div class="player-divider"></div>
                    <div class="player-name">' . $player['name'] . '
                </div>
        ';
        echo '</div>';
        
    }
}